Page MenuHomePhabricator

Switch cdnPurge to Kafka
Closed, ResolvedPublic

Description

The delayed job execution support is almost ready and tested, so in order to battle-test it in production we need to switch a job that uses it and cdnPurge seems like an optimal candidate - cheap, low-volume, idempotent.

Here's the statistics per-wiki based on 1 million events

1409082 "www.wikidata.org"
2 134216 "commons.wikimedia.org"
3 90328 "en.wikipedia.org"
4 35299 "de.wikipedia.org"
5 28124 "sr.wikipedia.org"
6 23340 "vi.wikipedia.org"
7 22400 "ceb.wikipedia.org"
8 18701 "fr.wikipedia.org"
9 16838 "uk.wikipedia.org"
10 13833 "es.wikipedia.org"
11 13132 "ru.wikipedia.org"
12 12279 "pl.wikipedia.org"
13 10486 "it.wikipedia.org"
14 8685 "ar.wikipedia.org"
15 7445 "www.mediawiki.org"
16 4721 "pt.wikipedia.org"
17 4701 "fa.wikipedia.org"
18 4136 "nl.wikipedia.org"
19 4042 "zh.wikipedia.org"
20 3070 "he.wikipedia.org"
21 3001 "ta.wikisource.org"
22 2874 "ja.wikipedia.org"
23 2674 "tr.wikipedia.org"
24 2670 "ko.wikipedia.org"
25 2544 "hu.wikipedia.org"
26 2541 "fi.wikipedia.org"
27 2534 "cy.wikipedia.org"
28 2377 "ca.wikipedia.org"
29 2356 "en.wiktionary.org"
30 2346 "meta.wikimedia.org"
31 2121 "ro.wikipedia.org"
32 1863 "sv.wikipedia.org"
33 1820 "el.wikipedia.org"
34 1746 "ru.wiktionary.org"
35 1715 "pl.wikisource.org"
36 1511 "ur.wikipedia.org"
37 1441 "incubator.wikimedia.org"
38 1436 "en.wikisource.org"
39 1362 "cs.wikipedia.org"
40 1286 "fr.wikisource.org"
41 1250 "myv.wikipedia.org"
42 1246 "ce.wikipedia.org"
43 1180 "no.wikipedia.org"
44 1049 "outreach.wikimedia.org"
45 976 "id.wikipedia.org"
46 893 "simple.wikipedia.org"
47 845 "fr.wiktionary.org"
48 756 "species.wikimedia.org"
49 728 "de.wiktionary.org"
50 727 "ka.wikipedia.org"
51 713 "bn.wikipedia.org"
52 702 "hy.wikipedia.org"
53 657 "th.wikipedia.org"
54 657 "ne.wiktionary.org"
55 652 "da.wikipedia.org"
56 627 "bg.wikipedia.org"
57 591 "en.wikivoyage.org"
58 585 "az.wikipedia.org"
59 578 "be.wikipedia.org"
60 556 "kn.wikisource.org"
61 554 "mk.wikipedia.org"
62 551 "et.wikipedia.org"
63 535 "sq.wikipedia.org"
64 520 "ast.wikipedia.org"
65 515 "pl.wiktionary.org"
66 498 "eu.wikipedia.org"
67 494 "en.wikiquote.org"
68 484 "test.wikidata.org"
69 467 "fi.wiktionary.org"
70 431 "ca.wiktionary.org"
71 411 "sco.wikipedia.org"
72 403 "gl.wikipedia.org"
73 392 "sv.wiktionary.org"
74 392 "ru.wikinews.org"
75 391 "it.wikisource.org"
76 376 "hi.wikipedia.org"
77 358 "io.wiktionary.org"
78 357 "eo.wikipedia.org"
79 356 "ky.wiktionary.org"
80 337 "en.wikinews.org"
81 333 "hr.wikipedia.org"
82 317 "lv.wikipedia.org"
83 316 "als.wikipedia.org"
84 315 "sk.wikipedia.org"
85 313 "lt.wikipedia.org"
86 311 "ru.wikisource.org"
87 293 "af.wikipedia.org"
88 292 "fr.wikibooks.org"
89 290 "wa.wiktionary.org"
90 285 "zh.wikisource.org"
91 283 "en.wikibooks.org"
92 279 "bs.wikipedia.org"
93 272 "ta.wikipedia.org"
94 272 "en.wikiversity.org"
95 266 "ms.wikipedia.org"
96 262 "lmo.wikipedia.org"
97 243 "pt.wiktionary.org"
98 238 "bh.wikipedia.org"
99 236 "af.wiktionary.org"
100 233 "nl.wiktionary.org"
101 232 "ckb.wikipedia.org"
102 230 "es.wikinews.org"
103 227 "tr.wiktionary.org"
104 226 "ml.wikipedia.org"
105 225 "wikisource.org"
106 224 "uz.wikipedia.org"
107 217 "sl.wikipedia.org"
108 216 "it.wikivoyage.org"
109 215 "cs.wiktionary.org"
110 205 "it.wiktionary.org"
111 203 "uk.wikivoyage.org"
112 202 "it.wikiquote.org"
113 197 "fy.wikipedia.org"
114 195 "nn.wikipedia.org"
115 190 "la.wikipedia.org"
116 188 "pt.wikinews.org"
117 188 "or.wikipedia.org"
118 187 "tt.wikipedia.org"
119 186 "ba.wikipedia.org"
120 182 "ht.wikipedia.org"
121 171 "zh.wikivoyage.org"
122 171 "nds.wikipedia.org"
123 171 "hy.wiktionary.org"
124 171 "fr.wikinews.org"
125 170 "de.wikiversity.org"
126 169 "es.wikivoyage.org"
127 167 "sk.wiktionary.org"
128 166 "sh.wikipedia.org"
129 164 "lb.wikipedia.org"
130 162 "ky.wikipedia.org"
131 159 "ru.wikivoyage.org"
132 159 "es.wiktionary.org"
133 157 "mg.wiktionary.org"
134 156 "mr.wikipedia.org"
135 154 "arz.wikipedia.org"
136 153 "is.wikibooks.org"
137 151 "te.wikipedia.org"
138 149 "hy.wikiquote.org"
139 148 "nl.wikinews.org"
140 148 "ja.wikisource.org"
141 147 "oc.wikipedia.org"
142 144 "ko.wiktionary.org"
143 143 "is.wikipedia.org"
144 142 "he.wiktionary.org"
145 140 "ga.wikipedia.org"
146 139 "fr.wikivoyage.org"
147 139 "de.wikivoyage.org"
148 134 "ne.wikipedia.org"
149 134 "es.wikibooks.org"
150 133 "ie.wiktionary.org"
151 133 "br.wikipedia.org"
152 132 "de.wikisource.org"
153 129 "tg.wikipedia.org"
154 128 "wa.wikipedia.org"
155 128 "ku.wiktionary.org"
156 128 "hy.wikisource.org"
157 127 "be-tarask.wikipedia.org"
158 126 "ar.wikibooks.org"
159 125 "zh.wikiquote.org"
160 125 "fr.wikiversity.org"
161 124 "gu.wikipedia.org"
162 124 "crh.wikipedia.org"
163 123 "kk.wikipedia.org"
164 122 "zh-yue.wikipedia.org"
165 120 "ug.wikipedia.org"
166 120 "lrc.wikipedia.org"
167 120 "cv.wikipedia.org"
168 118 "ur.wiktionary.org"
169 118 "fa.wiktionary.org"
170 116 "sv.wikisource.org"
171 114 "io.wikipedia.org"
172 114 "gu.wikisource.org"
173 114 "es.wikiquote.org"
174 114 "el.wiktionary.org"
175 113 "no.wiktionary.org"
176 113 "he.wikisource.org"
177 113 "ca.wikinews.org"
178 112 "pa.wikipedia.org"
179 112 "it.wikibooks.org"
180 111 "it.wikiversity.org"
181 111 "is.wiktionary.org"
182 110 "test2.wikipedia.org"
183 109 "simple.wiktionary.org"
184 109 "ia.wikipedia.org"
185 109 "de.wikibooks.org"
186 108 "pl.wikiquote.org"
187 108 "fi.wikiquote.org"
188 107 "yi.wikipedia.org"
189 107 "mi.wiktionary.org"
190 107 "eml.wikipedia.org"
191 107 "beta.wikiversity.org"
192 106 "zh-classical.wikipedia.org"
193 106 "uk.wikiquote.org"
194 106 "mg.wikipedia.org"
195 106 "km.wikipedia.org"
196 105 "sd.wikipedia.org"
197 105 "ar.wikinews.org"
198 104 "ru.wikiquote.org"
199 104 "rue.wikipedia.org"
200 104 "el.wikisource.org"
201 104 "an.wikipedia.org"
202 103 "udm.wikipedia.org"
203 103 "sl.wikiversity.org"
204 103 "jv.wikipedia.org"
205 102 "pl.wikivoyage.org"
206 102 "es.wikiversity.org"
207 102 "bar.wikipedia.org"
208 102 "az.wikisource.org"
209 101 "tl.wikipedia.org"
210 101 "sl.wikisource.org"
211 101 "mai.wikipedia.org"
212 101 "lo.wikipedia.org"
213 101 "fr.wikiquote.org"
214 101 "de.wikiquote.org"
215 100 "pl.wikibooks.org"
216 100 "nl.wikisource.org"
217 100 "my.wikipedia.org"
218 100 "kn.wikipedia.org"
219 100 "az.wiktionary.org"
220 99 "zu.wikipedia.org"
221 99 "zea.wikipedia.org"
222 99 "tr.wikiquote.org"
223 99 "test.wikipedia.org"
224 99 "ro.wiktionary.org"
225 99 "mt.wiktionary.org"
226 99 "es.wikisource.org"
227 98 "se.wikipedia.org"
228 98 "ro.wikisource.org"
229 98 "ak.wikipedia.org"
230 97 "vec.wikipedia.org"
231 97 "sa.wikipedia.org"
232 97 "ru.wikimedia.org"
233 97 "pt.wikibooks.org"
234 97 "mwl.wikipedia.org"
235 97 "hif.wikipedia.org"
236 97 "br.wiktionary.org"
237 96 "th.wikisource.org"
238 96 "si.wikipedia.org"
239 96 "sah.wikipedia.org"
240 96 "pt.wikivoyage.org"
241 96 "ja.wiktionary.org"
242 96 "he.wikibooks.org"
243 96 "cs.wikisource.org"
244 95 "se.wikimedia.org"
245 95 "os.wikipedia.org"
246 95 "li.wikipedia.org"
247 95 "lbe.wikipedia.org"
248 95 "eo.wiktionary.org"
249 94 "xal.wikipedia.org"
250 94 "ua.wikimedia.org"
251 94 "sw.wikipedia.org"
252 94 "stq.wikipedia.org"
253 94 "ru.wikibooks.org"
254 94 "pt.wikiversity.org"
255 94 "ps.wikipedia.org"
256 94 "olo.wikipedia.org"
257 94 "hsb.wikipedia.org"
258 94 "hi.wikiversity.org"
259 94 "fa.wikisource.org"
260 94 "fa.wikibooks.org"
261 94 "bcl.wikipedia.org"
262 93 "war.wikipedia.org"
263 93 "th.wikiquote.org"
264 93 "th.wikibooks.org"
265 93 "te.wikisource.org"
266 93 "szl.wikipedia.org"
267 93 "sv.wikiquote.org"
268 93 "scn.wikipedia.org"
269 93 "nrm.wikipedia.org"
270 93 "nl.wikibooks.org"
271 93 "mhr.wikipedia.org"
272 93 "lt.wikiquote.org"
273 93 "hi.wikivoyage.org"
274 93 "dty.wikipedia.org"
275 93 "de.wikinews.org"
276 93 "cs.wikiversity.org"
277 93 "br.wikisource.org"
278 93 "as.wikipedia.org"
279 93 "ar.wiktionary.org"
280 93 "ar.wikiquote.org"
281 93 "am.wikipedia.org"
282 92 "tr.wikibooks.org"
283 92 "sv.wikivoyage.org"
284 92 "ru.wikiversity.org"
285 92 "pms.wikipedia.org"
286 92 "or.wikisource.org"
287 92 "no.wikimedia.org"
288 92 "nl.wikivoyage.org"
289 92 "ko.wikisource.org"
290 92 "id.wikisource.org"
291 92 "id.wikibooks.org"
292 92 "hu.wikibooks.org"
293 92 "fy.wiktionary.org"
294 92 "fa.wikinews.org"
295 92 "ca.wikiquote.org"
296 92 "bn.wiktionary.org"
297 91 "yo.wikipedia.org"
298 91 "tk.wikipedia.org"
299 91 "ta.wiktionary.org"
300 91 "su.wikipedia.org"
301 91 "nl.wikiquote.org"
302 91 "nap.wikipedia.org"
303 91 "la.wikisource.org"
304 91 "km.wiktionary.org"
305 91 "it.wikinews.org"
306 91 "ig.wikipedia.org"
307 91 "hu.wiktionary.org"
308 91 "fa.wikivoyage.org"
309 91 "diq.wikipedia.org"
310 91 "da.wiktionary.org"
311 91 "da.wikisource.org"
312 91 "ab.wikipedia.org"
313 90 "zh-min-nan.wikipedia.org"
314 90 "wuu.wikipedia.org"
315 90 "vo.wikipedia.org"
316 90 "sk.wikisource.org"
317 90 "sa.wikisource.org"
318 90 "rm.wikipedia.org"
319 90 "pl.wikinews.org"
320 90 "pdc.wikipedia.org"
321 90 "ku.wikipedia.org"
322 90 "fi.wikisource.org"
323 90 "fa.wikiquote.org"
324 90 "dsb.wikipedia.org"
325 90 "dk.wikimedia.org"
326 90 "cu.wikipedia.org"
327 90 "cs.wikiquote.org"
328 90 "ca.wikisource.org"
329 90 "bn.wikisource.org"
330 90 "bi.wikipedia.org"
331 89 "zh.wikinews.org"
332 89 "zh.wikibooks.org"
333 89 "xmf.wikipedia.org"
334 89 "vls.wikipedia.org"
335 89 "tl.wikibooks.org"
336 89 "ti.wikipedia.org"
337 89 "sv.wikibooks.org"
338 89 "so.wikipedia.org"
339 89 "sc.wikipedia.org"
340 89 "rn.wikipedia.org"
341 89 "qu.wikipedia.org"
342 89 "pt.wikisource.org"
343 89 "pt.wikiquote.org"
344 89 "pnb.wikipedia.org"
345 89 "pl.wikimedia.org"
346 89 "pcd.wikipedia.org"
347 89 "pa.wikisource.org"
348 89 "oc.wiktionary.org"
349 89 "nds-nl.wikipedia.org"
350 89 "nah.wikipedia.org"
351 89 "mzn.wikipedia.org"
352 89 "lij.wikipedia.org"
353 89 "kw.wikipedia.org"
354 89 "ksh.wikipedia.org"
355 89 "ilo.wikipedia.org"
356 89 "hak.wikipedia.org"
357 89 "glk.wikipedia.org"
358 89 "frr.wikipedia.org"
359 89 "frp.wikipedia.org"
360 89 "ext.wikipedia.org"
361 89 "et.wikiquote.org"
362 89 "bs.wikinews.org"
363 89 "be.wikiquote.org"
364 88 "zh.wiktionary.org"
365 88 "wikimania2018.wikimedia.org"
366 88 "vi.wikisource.org"
367 88 "vep.wikipedia.org"
368 88 "tt.wiktionary.org"
369 88 "th.wiktionary.org"
370 88 "sr.wikisource.org"
371 88 "sl.wiktionary.org"
372 88 "ro.wikinews.org"
373 88 "ro.wikibooks.org"
374 88 "new.wikipedia.org"
375 88 "my.wiktionary.org"
376 88 "mt.wikipedia.org"
377 88 "mr.wiktionary.org"
378 88 "mn.wikipedia.org"
379 88 "mk.wikisource.org"
380 88 "min.wikipedia.org"
381 88 "mg.wikibooks.org"
382 88 "map-bms.wikipedia.org"
383 88 "lez.wikipedia.org"
384 88 "ka.wikiquote.org"
385 88 "kab.wikipedia.org"
386 88 "ja.wikibooks.org"
387 88 "id.wiktionary.org"
388 88 "hi.wiktionary.org"
389 88 "he.wikiquote.org"
390 88 "gv.wikipedia.org"
391 88 "fi.wikivoyage.org"
392 88 "da.wikiquote.org"
393 88 "cs.wikibooks.org"
394 88 "csb.wikipedia.org"
395 88 "bs.wikiquote.org"
396 88 "be.wikimedia.org"
397 88 "azb.wikipedia.org"
398 88 "ay.wikipedia.org"
399 88 "ar.wikiversity.org"
400 88 "ar.wikisource.org"
401 88 "ang.wikipedia.org"
402 87 "zu.wiktionary.org"
403 87 "zh-min-nan.wiktionary.org"
404 87 "zh-min-nan.wikisource.org"
405 87 "za.wikipedia.org"
406 87 "yi.wiktionary.org"
407 87 "yi.wikisource.org"
408 87 "xh.wikipedia.org"
409 87 "wo.wiktionary.org"
410 87 "wo.wikiquote.org"
411 87 "wo.wikipedia.org"
412 87 "vo.wiktionary.org"
413 87 "vi.wiktionary.org"
414 87 "vi.wikivoyage.org"
415 87 "vi.wikiquote.org"
416 87 "vi.wikibooks.org"
417 87 "ve.wikipedia.org"
418 87 "vec.wiktionary.org"
419 87 "vec.wikisource.org"
420 87 "uz.wiktionary.org"
421 87 "uz.wikiquote.org"
422 87 "ur.wikiquote.org"
423 87 "ur.wikibooks.org"
424 87 "uk.wiktionary.org"
425 87 "uk.wikisource.org"
426 87 "uk.wikinews.org"
427 87 "uk.wikibooks.org"
428 87 "ug.wiktionary.org"
429 87 "ty.wikipedia.org"
430 87 "tyv.wikipedia.org"
431 87 "tw.wikipedia.org"
432 87 "tum.wikipedia.org"
433 87 "tt.wikibooks.org"
434 87 "ts.wiktionary.org"
435 87 "ts.wikipedia.org"
436 87 "tr.wikisource.org"
437 87 "tr.wikinews.org"
438 87 "tr.wikimedia.org"
439 87 "tpi.wiktionary.org"
440 87 "tpi.wikipedia.org"
441 87 "to.wikipedia.org"
442 87 "tn.wiktionary.org"
443 87 "tn.wikipedia.org"
444 87 "tl.wiktionary.org"
445 87 "tk.wiktionary.org"
446 87 "ti.wiktionary.org"
447 87 "tg.wiktionary.org"
448 87 "tg.wikibooks.org"
449 87 "te.wiktionary.org"
450 87 "te.wikiquote.org"
451 87 "te.wikibooks.org"
452 87 "tet.wikipedia.org"
453 87 "tcy.wikipedia.org"
454 87 "ta.wikiquote.org"
455 87 "ta.wikinews.org"
456 87 "ta.wikibooks.org"
457 87 "sw.wiktionary.org"
458 87 "sv.wikiversity.org"
459 87 "sv.wikinews.org"
460 87 "su.wiktionary.org"
461 87 "su.wikiquote.org"
462 87 "st.wiktionary.org"
463 87 "st.wikipedia.org"
464 87 "ss.wiktionary.org"
465 87 "ss.wikipedia.org"
466 87 "sr.wiktionary.org"
467 87 "sr.wikiquote.org"
468 87 "sr.wikinews.org"
469 87 "sr.wikibooks.org"
470 87 "srn.wikipedia.org"
471 87 "sq.wiktionary.org"
472 87 "sq.wikiquote.org"
473 87 "sq.wikinews.org"
474 87 "sq.wikibooks.org"
475 87 "so.wiktionary.org"
476 87 "sn.wikipedia.org"
477 87 "sm.wiktionary.org"
478 87 "sm.wikipedia.org"
479 87 "sl.wikiquote.org"
480 87 "sl.wikibooks.org"
481 87 "sk.wikiquote.org"
482 87 "sk.wikibooks.org"
483 87 "si.wiktionary.org"
484 87 "si.wikibooks.org"
485 87 "sh.wiktionary.org"
486 87 "sg.wiktionary.org"
487 87 "sg.wikipedia.org"
488 87 "sd.wiktionary.org"
489 87 "scn.wiktionary.org"
490 87 "sa.wiktionary.org"
491 87 "sa.wikiquote.org"
492 87 "sa.wikibooks.org"
493 87 "sah.wikisource.org"
494 87 "rw.wiktionary.org"
495 87 "rw.wikipedia.org"
496 87 "ro.wikivoyage.org"
497 87 "ro.wikiquote.org"
498 87 "roa-tara.wikipedia.org"
499 87 "roa-rup.wiktionary.org"
500 87 "roa-rup.wikipedia.org"
501 87 "rmy.wikipedia.org"
502 87 "qu.wiktionary.org"
503 87 "pt.wikimedia.org"
504 87 "ps.wiktionary.org"
505 87 "pnt.wikipedia.org"
506 87 "pnb.wiktionary.org"
507 87 "pi.wikipedia.org"
508 87 "pih.wikipedia.org"
509 87 "pfl.wikipedia.org"
510 87 "pa.wiktionary.org"
511 87 "pa.wikibooks.org"
512 87 "pap.wikipedia.org"
513 87 "pam.wikipedia.org"
514 87 "pag.wikipedia.org"
515 87 "or.wiktionary.org"
516 87 "om.wiktionary.org"
517 87 "om.wikipedia.org"
518 87 "oc.wikibooks.org"
519 87 "ny.wikipedia.org"
520 87 "nyc.wikimedia.org"
521 87 "nv.wikipedia.org"
522 87 "nso.wikipedia.org"
523 87 "no.wikisource.org"
524 87 "no.wikiquote.org"
525 87 "no.wikinews.org"
526 87 "no.wikibooks.org"
527 87 "nov.wikipedia.org"
528 87 "nn.wiktionary.org"
529 87 "nn.wikiquote.org"
530 87 "nl.wikimedia.org"
531 87 "ne.wikibooks.org"
532 87 "nds.wiktionary.org"
533 87 "na.wiktionary.org"
534 87 "na.wikipedia.org"
535 87 "nah.wiktionary.org"
536 87 "mx.wikimedia.org"
537 87 "ms.wiktionary.org"
538 87 "ms.wikibooks.org"
539 87 "mr.wikisource.org"
540 87 "mr.wikiquote.org"
541 87 "mr.wikibooks.org"
542 87 "mrj.wikipedia.org"
543 87 "mn.wiktionary.org"
544 87 "ml.wiktionary.org"
545 87 "ml.wikisource.org"
546 87 "ml.wikiquote.org"
547 87 "ml.wikibooks.org"
548 87 "mk.wiktionary.org"
549 87 "mk.wikimedia.org"
550 87 "mk.wikibooks.org"
551 87 "mi.wikipedia.org"
552 87 "mdf.wikipedia.org"
553 87 "lv.wiktionary.org"
554 87 "lt.wiktionary.org"
555 87 "lt.wikisource.org"
556 87 "lt.wikibooks.org"
557 87 "ltg.wikipedia.org"
558 87 "lo.wiktionary.org"
559 87 "ln.wiktionary.org"
560 87 "ln.wikipedia.org"
561 87 "li.wiktionary.org"
562 87 "li.wikisource.org"
563 87 "li.wikiquote.org"
564 87 "li.wikibooks.org"
565 87 "lg.wikipedia.org"
566 87 "lb.wiktionary.org"
567 87 "la.wiktionary.org"
568 87 "la.wikiquote.org"
569 87 "la.wikibooks.org"
570 87 "lad.wikipedia.org"
571 87 "ky.wikiquote.org"
572 87 "ky.wikibooks.org"
573 87 "kw.wiktionary.org"
574 87 "kv.wikipedia.org"
575 87 "ku.wikiquote.org"
576 87 "ku.wikibooks.org"
577 87 "ks.wiktionary.org"
578 87 "ks.wikipedia.org"
579 87 "krc.wikipedia.org"
580 87 "ko.wikiversity.org"
581 87 "ko.wikiquote.org"
582 87 "ko.wikinews.org"
583 87 "ko.wikibooks.org"
584 87 "koi.wikipedia.org"
585 87 "kn.wiktionary.org"
586 87 "kn.wikiquote.org"
587 87 "km.wikibooks.org"
588 87 "kl.wiktionary.org"
589 87 "kl.wikipedia.org"
590 87 "kk.wiktionary.org"
591 87 "kk.wikibooks.org"
592 87 "ki.wikipedia.org"
593 87 "kg.wikipedia.org"
594 87 "kbp.wikipedia.org"
595 87 "kbd.wikipedia.org"
596 87 "ka.wiktionary.org"
597 87 "ka.wikibooks.org"
598 87 "kaa.wikipedia.org"
599 87 "jv.wiktionary.org"
600 87 "jbo.wiktionary.org"
601 87 "jbo.wikipedia.org"
602 87 "ja.wikiversity.org"
603 87 "ja.wikiquote.org"
604 87 "ja.wikinews.org"
605 87 "jam.wikipedia.org"
606 87 "iu.wiktionary.org"
607 87 "iu.wikipedia.org"
608 87 "is.wikisource.org"
609 87 "is.wikiquote.org"
610 87 "ik.wikipedia.org"
611 87 "ie.wikipedia.org"
612 87 "id.wikiquote.org"
613 87 "ia.wiktionary.org"
614 87 "ia.wikibooks.org"
615 87 "hy.wikibooks.org"
616 87 "hu.wikisource.org"
617 87 "hu.wikiquote.org"
618 87 "hsb.wiktionary.org"
619 87 "hr.wiktionary.org"
620 87 "hr.wikisource.org"
621 87 "hr.wikiquote.org"
622 87 "hr.wikibooks.org"
623 87 "hi.wikiquote.org"
624 87 "hi.wikibooks.org"
625 87 "hif.wiktionary.org"
626 87 "he.wikivoyage.org"
627 87 "he.wikinews.org"
628 87 "haw.wikipedia.org"
629 87 "ha.wiktionary.org"
630 87 "ha.wikipedia.org"
631 87 "gv.wiktionary.org"
632 87 "gu.wiktionary.org"
633 87 "gu.wikiquote.org"
634 87 "got.wikipedia.org"
635 87 "gom.wikipedia.org"
636 87 "gn.wiktionary.org"
637 87 "gn.wikipedia.org"
638 87 "gl.wiktionary.org"
639 87 "gl.wikisource.org"
640 87 "gl.wikiquote.org"
641 87 "gl.wikibooks.org"
642 87 "gd.wiktionary.org"
643 87 "gd.wikipedia.org"
644 87 "ga.wiktionary.org"
645 87 "gan.wikipedia.org"
646 87 "gag.wikipedia.org"
647 87 "fy.wikibooks.org"
648 87 "fur.wikipedia.org"
649 87 "fo.wiktionary.org"
650 87 "fo.wikisource.org"
651 87 "fo.wikipedia.org"
652 87 "fj.wiktionary.org"
653 87 "fj.wikipedia.org"
654 87 "fi.wikiversity.org"
655 87 "fi.wikinews.org"
656 87 "fi.wikimedia.org"
657 87 "fi.wikibooks.org"
658 87 "fiu-vro.wikipedia.org"
659 87 "ff.wikipedia.org"
660 87 "eu.wiktionary.org"
661 87 "eu.wikiquote.org"
662 87 "eu.wikibooks.org"
663 87 "et.wiktionary.org"
664 87 "et.wikisource.org"
665 87 "et.wikibooks.org"
666 87 "eo.wikisource.org"
667 87 "eo.wikiquote.org"
668 87 "eo.wikinews.org"
669 87 "eo.wikibooks.org"
670 87 "el.wikivoyage.org"
671 87 "el.wikiversity.org"
672 87 "el.wikiquote.org"
673 87 "el.wikinews.org"
674 87 "el.wikibooks.org"
675 87 "ee.wikipedia.org"
676 87 "ee.wikimedia.org"
677 87 "dz.wikipedia.org"
678 87 "dv.wiktionary.org"
679 87 "dv.wikipedia.org"
680 87 "din.wikipedia.org"
681 87 "da.wikibooks.org"
682 87 "cy.wiktionary.org"
683 87 "cy.wikisource.org"
684 87 "cy.wikiquote.org"
685 87 "cy.wikibooks.org"
686 87 "cv.wikibooks.org"
687 87 "cs.wikinews.org"
688 87 "csb.wiktionary.org"
689 87 "cr.wikipedia.org"
690 87 "co.wiktionary.org"
691 87 "co.wikipedia.org"
692 87 "co.wikimedia.org"
693 87 "chy.wikipedia.org"
694 87 "ch.wikipedia.org"
695 87 "chr.wiktionary.org"
696 87 "chr.wikipedia.org"
697 87 "cdo.wikipedia.org"
698 87 "cbk-zam.wikipedia.org"
699 87 "ca.wikimedia.org"
700 87 "ca.wikibooks.org"
701 87 "bxr.wikipedia.org"
702 87 "bug.wikipedia.org"
703 87 "bs.wiktionary.org"
704 87 "bs.wikisource.org"
705 87 "bs.wikibooks.org"
706 87 "br.wikiquote.org"
707 87 "br.wikimedia.org"
708 87 "bpy.wikipedia.org"
709 87 "bo.wikipedia.org"
710 87 "bn.wikibooks.org"
711 87 "bm.wikipedia.org"
712 87 "bjn.wikipedia.org"
713 87 "bg.wiktionary.org"
714 87 "bg.wikisource.org"
715 87 "bg.wikiquote.org"
716 87 "bg.wikinews.org"
717 87 "bg.wikibooks.org"
718 87 "be.wiktionary.org"
719 87 "be.wikisource.org"
720 87 "be.wikibooks.org"
721 87 "bd.wikimedia.org"
722 87 "ba.wikibooks.org"
723 87 "bat-smg.wikipedia.org"
724 87 "az.wikiquote.org"
725 87 "az.wikibooks.org"
726 87 "ay.wiktionary.org"
727 87 "av.wikipedia.org"
728 87 "atj.wikipedia.org"
729 87 "as.wikisource.org"
730 87 "ast.wiktionary.org"
731 87 "ar.wikimedia.org"
732 87 "arc.wikipedia.org"
733 87 "an.wiktionary.org"
734 87 "ang.wiktionary.org"
735 87 "am.wiktionary.org"
736 87 "af.wikiquote.org"
737 87 "af.wikibooks.org"
738 87 "ady.wikipedia.org"
739 87 "ace.wikipedia.org"
740 14 "wikimediafoundation.org"
741 6 "rs.wikimedia.org"

Seems like switching everything except wikipedia, wikidata and commons will provide a good test with almost negligible rate, so I propose to switch in 2 phases.

Event Timeline

Pchelolo triaged this task as Normal priority.Feb 28 2018, 7:48 PM
Pchelolo created this task.
Restricted Application added a project: Analytics. · View Herald TranscriptFeb 28 2018, 7:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 415371 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Disable redis queue for cdnPurge for all but wikipedia, commons and wikidata.

https://gerrit.wikimedia.org/r/415371

Change 415375 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka queue for cdnPurge for all but wikipedia, commons and wikidata.

https://gerrit.wikimedia.org/r/415375

Change 415375 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka queue for cdnPurge for all but wikipedia, commons and wikidata.

https://gerrit.wikimedia.org/r/415375

Mentioned in SAL (#wikimedia-operations) [2018-03-01T14:01:32Z] <ppchelko@tin> Started deploy [cpjobqueue/deploy@b5255f0]: Enable kafka queue for cdnPurge for all but wikipedia, commons and wikidata. T188540

Mentioned in SAL (#wikimedia-operations) [2018-03-01T14:02:16Z] <ppchelko@tin> Finished deploy [cpjobqueue/deploy@b5255f0]: Enable kafka queue for cdnPurge for all but wikipedia, commons and wikidata. T188540 (duration: 00m 44s)

Change 415371 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable redis queue for cdnPurge for all but wikipedia, commons and wikidata.

https://gerrit.wikimedia.org/r/415371

Mentioned in SAL (#wikimedia-operations) [2018-03-01T14:10:40Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: JobQueue: Enable EventBus for cdnPurge for all but wikipedia, commons and wikidata, file 1/2 - T188540 (duration: 01m 14s)

Mentioned in SAL (#wikimedia-operations) [2018-03-01T14:12:35Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: JobQueue: Enable EventBus for cdnPurge for all but wikipedia, commons and wikidata, file 2/2 - T188540 (duration: 01m 13s)

Change 415569 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@master] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415569

Change 415569 merged by Mobrovac:
[mediawiki/extensions/EventBus@master] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415569

Change 415570 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@wmf/1.31.0-wmf.22] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415570

Change 415571 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/extensions/EventBus@wmf/1.31.0-wmf.23] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415571

Change 415570 merged by Mobrovac:
[mediawiki/extensions/EventBus@wmf/1.31.0-wmf.22] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415570

Mentioned in SAL (#wikimedia-operations) [2018-03-01T15:26:50Z] <mobrovac@tin> Synchronized php-1.31.0-wmf.22/extensions/EventBus/includes/JobQueueEventBus.php: EventBus: Specify that EventBus queue supports delayed jobs (wmf/1.31.0-wmf.22) - T188540 (duration: 01m 13s)

Change 415571 merged by Mobrovac:
[mediawiki/extensions/EventBus@wmf/1.31.0-wmf.23] Specify that EventBus queue supports delayed jobs.

https://gerrit.wikimedia.org/r/415571

Mentioned in SAL (#wikimedia-operations) [2018-03-01T15:30:08Z] <mobrovac@tin> Synchronized php-1.31.0-wmf.23/extensions/EventBus/includes/JobQueueEventBus.php: EventBus: Specify that EventBus queue supports delayed jobs (wmf/1.31.0-wmf.23) - T188540 (duration: 01m 14s)

Milimetric moved this task from Incoming to Radar on the Analytics board.Mar 1 2018, 6:13 PM
elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Mar 2 2018, 10:13 AM

Change 415870 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[operations/mediawiki-config@master] Switch all of the cdnPurge to kafka.

https://gerrit.wikimedia.org/r/415870

Change 415873 had a related patch set uploaded (by Ppchelko; owner: Ppchelko):
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka queue for cdnPurge for all wikis.

https://gerrit.wikimedia.org/r/415873

Change 415873 merged by Mobrovac:
[mediawiki/services/change-propagation/jobqueue-deploy@master] Enable kafka queue for cdnPurge for all wikis.

https://gerrit.wikimedia.org/r/415873

Change 415870 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch all of the cdnPurge to kafka.

https://gerrit.wikimedia.org/r/415870

Mentioned in SAL (#wikimedia-operations) [2018-03-05T15:49:45Z] <mobrovac@tin> Synchronized wmf-config/jobqueue.php: Switch all of the cdnPurge to EventBus, file 1/2 - T188540 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2018-03-05T15:51:04Z] <mobrovac@tin> Synchronized wmf-config/InitialiseSettings.php: Switch all of the cdnPurge to EventBus, file 2/2 - T188540 (duration: 00m 57s)